Package org.drinkless.tdlib

# Class TdApi.ScopeAutosaveSettings

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ScopeAutosaveSettings

Enclosing class:
  `TdApi`

public static class TdApi.ScopeAutosaveSettings extends TdApi.Object
Contains autosave settings for an autosave settings scope.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `autosavePhotos`
  True, if photo autosave is enabled.
  `boolean`
  `autosaveVideos`
  True, if video autosave is enabled.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `maxVideoFileSize`
  The maximum size of a video file to be autosaved, in bytes; 512 KB - 4000 MB.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScopeAutosaveSettings()`
  Contains autosave settings for an autosave settings scope.
  `ScopeAutosaveSettings(boolean autosavePhotos, boolean autosaveVideos, long maxVideoFileSize)`
  Contains autosave settings for an autosave settings scope.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### autosavePhotos

    public boolean autosavePhotos
    True, if photo autosave is enabled.

  - ### autosaveVideos

    public boolean autosaveVideos
    True, if video autosave is enabled.

  - ### maxVideoFileSize

    public long maxVideoFileSize
    The maximum size of a video file to be autosaved, in bytes; 512 KB - 4000 MB.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ScopeAutosaveSettings

    public ScopeAutosaveSettings()
    Contains autosave settings for an autosave settings scope.

  - ### ScopeAutosaveSettings

    public ScopeAutosaveSettings(boolean autosavePhotos, boolean autosaveVideos, long maxVideoFileSize)
    Contains autosave settings for an autosave settings scope.
    Parameters:
      `autosavePhotos` - True, if photo autosave is enabled.
      `autosaveVideos` - True, if video autosave is enabled.
      `maxVideoFileSize` - The maximum size of a video file to be autosaved, in bytes; 512 KB - 4000 MB.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR